No se como instalar un paquete tar.gz Les pido me ayuden a entender esto, en otras distribuciones de linux no hay problema solo sigo las intrucciones para compilar el programa

Asked by Gilovario on 2007-12-15

Baje unos paquetes de internet: vmd-1.8.5.tar.gz y mgltolls1.4.5.tar.tar y no puedo instalarlos en ubuntu, sigo las instrucciones de como instalar este tipo de paquetes, pero al correrlos no sucede nada, estos paquetes ya los he instalado en otras distribuciones de linux como fedora C6, espero que alguien me ayude... gracias, pero con el VMD que es un *.tar.gz al parecer tiene que ver con el shell, porque al con figurar con ./configure no hay problema pero al entrar al directorio src y hacer make install aparece "make command no found", .. si me pueden ayudar tengo que instalar algo, de antemano gracias, estas son las intrucciones de intalacion:

for
     the $install_library_dir and $install_bin_dir to a directory in
     which vmd data files and executables should be installed, be sure
     that you installing into a clean target directory and not overwriting
     an existing version of VMD (which would otherwise give problems):

     $install_bin_dir is the location of the startup script 'vmd'.
     It should be located in the path of users interested in running VMD.

     $install_library_dir is the location of all other VMD files.
     This included the binary and helper scripts. It should not be
     in the path.

  3) A Makefile must be generated based on these configuration variables
     by running "./configure".

  4) After configuration is complete, cd to the src directory,
     and type "make install". This will install VMD in the two
     directories listed above. Note that running "make install"
     twice will print error messages because you are attempting to
     overwrite some read-only files. Similarly, if you have incorrectly
     specified the target installation directories or attempt to overwrite
     an existing VMD installation, you will get error messages.

  5) When installed, type 'vmd' to start (make sure the
     $install_bin_dir directory is in your path).

ya pude instalar el programa, pero me aparese un mensaje y no me corre, intale el paquete make.___.deb que viene en el CD , esto es lo qie hice despues:

root@gil:/usr/local/vmd-1.8.6# sudo ./configure
using configure.options: LINUX OPENGL FLTK TK ACTC IMD SPACEBALL LIBTACHYON VRPN NETCDF TCL PYTHON PTHREADS NUMPY SILENT
root@gil:/usr/local/vmd-1.8.6# cd src
root@gil:/usr/local/vmd-1.8.6/src# ls
Makedata.depend Makefile Makefile.swig config.h
root@gil:/usr/local/vmd-1.8.6/src# sudo make
make: *** No rule to make target `y.tab.h', needed by `vmd_LINUX'. Stop.
root@gil:/usr/local/vmd-1.8.6/src# sudo make install
Make sure /usr/local/bin/vmd is in your path.
VMD installation complete. Enjoy!
root@gil:/usr/local/vmd-1.8.6/src# vmd
-bash: /usr/local/bin/vmd: /bin/csh: bad interpreter: No such file or directory

Question information

Language:
Spanish Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Gilovario
Solved:
2008-01-17
Last query:
2008-01-17
Last reply:
2008-01-12
Fabián Rodríguez (magicfab) said : #1

Por favor indica de donde los bajaste (URL) y de qué se trata. Con el tiempo limitado como voluntario, no puedo dedicar tiempo a obtener esos detalles.

Fabián Rodríguez (magicfab) said : #2

En el caso de VMD, complicado ayudarle cuando hasta bajar el archivo requiere resgitro.

En el caso de Autodock, no pude encontrar instrucciones ni paquetes de Ubuntu.

En ambos casos sugeriría que contacte los autores respectivos y les pida que empaquete su software respectivo para Ubuntu o provean una documentación clara para instalarlo. Averigüe si hay foros de soporte y pregunte si otros usuarios los han instalado en Ubuntu y cómo hicieron.

Buena suerte.

Dante Díaz (dante) said : #3

si es un .tar.gz :

$sudo tar -zxvf archivo.tar.gz (decomprime)
$cd directorio_del_archiv_Descomprimido (entramos)

a partir de aqui no es siempre igual, pero por lo general:

$sudo ./configure (si ves algun error, instala lo que de error)
$sudo make
$sudo make install

y ya! :)

Jorge Suárez de Lis (ys) said : #4

El Saturday 12 January 2008 03:36:10 Gilovario escribió:

> al parecer tiene que ver con el shell, porque al con figurar con
> ./configure no hay problema pero al entrar al directorio src y hacer make
> install aparece make command no found, tal ves es porque ubuntu otro que no
> recuerdo.. si me pueden ayudar tengo que intalar algo de antemano gracias

No tienes que entrar en el directorio src. Deberías poner "make install" en el
mismo directorio, pero antes de eso necesitas compilarlo con "make".

Es decir, el orden sería:

./configure
make
sudo make install

Nota que le he añadido un "sudo" al principio al "make install", para que
pueda instalar el paquete en el sistema, ya que tu usuario por defecto no
puede escribir más allá de su directorio personal.

Parece que no tienes make. Instala antes desde synaptic el paquete
build-essential.

Si te da un error haciendo el make, pega la salida completa de hacer
el ./configure y las últimas líneas del make.

Un saludo.

--
Jorge S. de Lis <email address hidden>
Los ingleses inventaron la sobremesa para olvidar la comida. -- Pierre
Daninos. (1913) Escritor francés.

Gilovario (jhonny-969) said : #5

ya logre instalar los paquetes qque he mencionado, en breve y cuando disponga de un poco de tiempo los detallo, por todo gracias ...

rogelio diaz (diazrogelio) said : #6

y si da un error en el ./configure como instalo lo que da error?? a continuacion les presento este paquete que lo saque de esta page http://homebank.free.fr/

rogelio@rogelio-laptop:~/homebank-4.0.1$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/home/rogelio/homebank-4.0.1/missing: Unknown `--run' option
Try `/home/rogelio/homebank-4.0.1/missing --help' for more information
configure: WARNING: `missing' script is too old or missing
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether ln -s works... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether NLS is requested... yes
checking for intltool-update... no
checking for intltool-merge... no
checking for intltool-extract... no
configure: error: The intltool scripts were not found. Please install intltool.
rogelio@rogelio-laptop:~/homebank-4.0.1$ make install-sh
make: No se hace nada para `install-sh'.
rogelio@rogelio-laptop:~/homebank-4.0.1$

Hely Suarez Marin (helysm) said : #7

Hola compañero

Por lo que veo el programa te pid que instales previamente la aplicacion
intltool; luego intenta de nuevo el procedimiento de configurar de ser
posible borra las carpetas y archivos creados y usa el paquete original.

Atentamente,

Hely Suarez Marin
www.GOPENUX.com
Administrador Ubuntu Colombia
Miembro Grupo de Investigacion de Software Libre UFPS
Linux User # 478742
Ubuntu User # 24910
Cel. 300 - 5565244 314 - 2752309
Cúcuta

quita el -sh
que quede solo
 sudo make install

El 23 de diciembre de 2008 12:21, HELY SUAREZ MARIN <
<email address hidden>> escribió:

> Question #20057 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/20057
>
> HELY SUAREZ MARIN posted a new comment:
> Hola compañero
>
> Por lo que veo el programa te pid que instales previamente la aplicacion
> intltool; luego intenta de nuevo el procedimiento de configurar de ser
> posible borra las carpetas y archivos creados y usa el paquete original.
>
> Atentamente,
>
> Hely Suarez Marin
> www.GOPENUX.com
> Administrador Ubuntu Colombia
> Miembro Grupo de Investigacion de Software Libre UFPS
> Linux User # 478742
> Ubuntu User # 24910
> Cel. 300 - 5565244 314 - 2752309
> Cúcuta
>
> --
> You received this question notification because you are a member of
> Equipo de Soporte de Ubuntu-Co, which is an answer contact for Ubuntu.
>

--
!i hope you have a gothic christimas¡
aun en construccion:
www.daniel-quiroga.com
Daniel Fernando Quiroga Saavedra
Líder del equipo soporte Ubuntu-co
tel: (+57-1)7723990
cel: 3004191024

Yo he visto cosas que vosotros no creeríais, naves de ataque en llamas sobre
el hombro Orión. Rayos-C brillar en la oscuridad, cerca de la puerta
Tannhäuser. Todos esos momentos se perderán en el tiempo como lágrimas en la
lluvia. Es hora de morir.

ubuntu user # 20632 linux user # 463857

Farah (suiseiseki-chibi) said : #9

._.

echaro (chava-r-) said : #10

Disculpe la mlestia.

Acabo de iniciar en ubuntu 8.10 y tengo un problema.

Necesito instalar el jdeveloper11, pero es un bin (jdev11.bin), y al tratar de ejecutar la linea
para que este se instale no he logrado que suceda. Yo he escrito:
1-cd Documentos
2- chmod +x jdev*
3- ./jdev*

en este momento me indica que no existe el archivo o fichero, PERO EL MISMO SI SE ENCUETRA EN LA CARPETA Documentos

Agradeceria su ayuda pues es con el objetivo de realizar un trabajo universitario

Gracias...

Gilovario (jhonny-969) said : #11

primero que nada debes contar con privilegios de admisitrador, en linux hay dos formas de intalar los binarios una es directamente dando click derecho y propiedades, ahi seleccionas permisos, y despues palomear en ejecutar como programa das aceptar y luego doble click izquierdo y si toda va bien solo sigue los pasos
 del programa, si no funciona esto ejecutalo desde el terminal, lo que tienes que hacer es esto, primero vas hasta donde esta tu programa (carpeta)

cd /.../carpeta de tu archivo (los 3 puntos indican las carpetas desde donde se encuentra tu archivo)

sudo chmod +x program.bin (program es el nombre de tu programa)

si te pide el pasword introducelo es el de root

sudo ./program.bin

asi sigue los pasos de intalacion del programa y listo, una orservacion es que en linux se pueden diferenciar los caracteresy si ponones o el nombre del programa contiene un "*" este es un caracter especial, debes quitarcelo, esto no afecta el archivo, tal ves es lo que te esta causando el problema qal instalarlo desde el terminal.

buena suerte... si hay algo mas... nos vemos.

> To: <email address hidden>
> From: <email address hidden>
> Subject: Re: [Question #20057]: No se como instalar un paquete tar.gz Les pido me ayuden a entender esto, en otras distribuciones de linux no hay problema solo sigo las intrucciones para compilar el programa
> Date: Tue, 24 Mar 2009 21:33:59 +0000
>
> Your question #20057 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/20057
>
> echaro posted a new comment:
> Disculpe la mlestia.
>
> Acabo de iniciar en ubuntu 8.10 y tengo un problema.
>
> Necesito instalar el jdeveloper11, pero es un bin (jdev11.bin), y al tratar de ejecutar la linea
> para que este se instale no he logrado que suceda. Yo he escrito:
> 1-cd Documentos
> 2- chmod +x jdev*
> 3- ./jdev*
>
> en este momento me indica que no existe el archivo o fichero, PERO EL
> MISMO SI SE ENCUETRA EN LA CARPETA Documentos
>
> Agradeceria su ayuda pues es con el objetivo de realizar un trabajo
> universitario
>
> Gracias...
>
> --
> You received this question notification because you are a direct
> subscriber of the question.

_________________________________________________________________
¿Conoces todas las novedades de Messenger?
www.messengernews.com.mx

Jorge Suárez de Lis (ys) said : #12

Estás haciendo una nueva pregunta dentro de otra pregunta, y no es el lugar adecuado. Por favor, abre una nueva pregunta, así la gente podrá ayudarte mejor.